Issue 9406

Title
Apply promotion on any reduced line
Priority
feature
Status
resolved
Nosy list
ced, reviewbot, roundup-bot
Assigned to
ced
Keywords
review

Created on 2020-06-11.19:40:14 by ced, last changed 12 months ago by roundup-bot.

Messages

New changeset dd311fe8b574 by Cédric Krier in branch 'default':
Apply promotion on any line reduced
https://hg.tryton.org/tryton-env/rev/dd311fe8b574
New changeset 6d72ded73e3f by Cédric Krier in branch 'default':
Apply promotion on any line reduced
https://hg.tryton.org/modules/sale_promotion/rev/6d72ded73e3f
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2020-06-11.19:40:13
I think that the way we apply the promotion is not really what is expected by customer. For now we apply a promotion only if it reduces the unit price of all the valid lines. But sometimes some line may have a more reduced price due to a price list (per quantity) or another promotion that overlap some products.
In case of overlapping promotion, it may depend on the order they are applied which is even more complicated to explain.

So I think we should apply the promotion on any line for which the unit price is reduced.
Those who may want a more restricted application could extend the criteria of promotion selection.
History
Date User Action Args
2020-06-24 22:59:50roundup-botsetmessages: + msg58859
2020-06-24 22:59:45roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg58858
2020-06-13 12:29:29reviewbotsetmessages: + msg58689
2020-06-11 20:06:18reviewbotsetnosy: + reviewbot
messages: + msg58652
2020-06-11 19:42:05cedsetstatus: in-progress -> testing
reviews: 297941002
keyword: + review
2020-06-11 19:40:14cedcreate

Showing 10 items. Show all history (warning: this could be VERY long)